routes/web.php
<?php

use App\Http\Controllers\Admin\ArtikelController;
use App\Http\Controllers\Admin\DoaController;
use App\Http\Controllers\Admin\DoaHarianController;
use App\Http\Controllers\Admin\EventController;
use App\Http\Controllers\Admin\HaditsController;
use App\Http\Controllers\Auth\LoginController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

// Auth::routes();
Route::get('login', [LoginController::class, 'showLoginForm'])->name('login');
Route::post('login', [LoginController::class, 'login']);
Route::post('logout', [LoginController::class, 'logout'])->name('logout');



Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
// Route::get('/dashboard',[App\Http\Controllers\Admin\DashboardController::class, 'index']);

Route::group(['middleware' => ['auth']], function() {
    Route::get('/dashboard',[App\Http\Controllers\Admin\DashboardController::class, 'index']);
    Route::resource('/doa', 'App\Http\Controllers\Admin\DoaController');
    Route::prefix('/content')->name('content.')->group(function(){
        Route::resource('/artikel', ArtikelController::class);
        Route::post('/categorydoa/create',[DoaController::class, 'createcategorydoa']);
        Route::post('/doa/create',[DoaController::class, 'createdoa']);
        Route::delete('/doa/{id}',[DoaController::class, 'delete']);
        Route::resource('/doaharian', DoaHarianController::class);
        Route::resource('/hadits', HaditsController::class);
        Route::resource('/event', EventController::class);
    });

    Route::DELETE('/doaharian/{id}/delete',[App\Http\Controllers\Admin\DoaHarianController::class],'destroy')->name('admin.doaharian.destroy');
    Route::post('',[App\Http\Controllers\Admin\DoaController::class],'massDelete')->name('doaharian.artikel.massDelete');
    // Route::resource('/Admin/doaharian',[App\Http\Controllers\Admin\DoaHarianController::class, 'store']);
});

resources/views/admin/partials/footer.blade.php
</body>
</html>

resources/views/admin/partials/header.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>
       Admin Halo Ustadz
    </title>


    <title>@yield('title')</title>
    <!-- HTML5 Shim and Respond.js IE10 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 10]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    <!-- Meta -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="description" content="Gradient Able Bootstrap admin template made using Bootstrap 4 and it has huge amount of ready made feature, UI components, pages which completely fulfills any dashboard needs." />
    <meta name="keywords" content="flat ui, admin Admin , Responsive, Landing, Bootstrap, App, Template, Mobile, iOS, Android, apple, creative app">
    <meta name="author" content="Phoenixcoded" />
    <!-- Favicon icon -->
    <link rel="icon" href="{{ URL::asset('ablepro/assets/images/favicon.ico') }}" type="image/x-icon">
    <!-- Google font-->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800" rel="stylesheet">
    <!-- Required Fremwork -->
    <link rel="stylesheet" type="text/css" href="{{ URL::asset('ablepro/bower_components/bootstrap/css/bootstrap.min.css') }}">
    <!-- waves.css -->
    <link rel="stylesheet" href="{{ URL::asset('ablepro/assets/pages/waves/css/waves.min.css') }}" type="text/css" media="all">
    <!-- feather icon -->
    <link rel="stylesheet" type="text/css" href="{{ URL::asset('ablepro/assets/icon/feather/css/feather.css') }}">
    <!-- Style.css -->
    <link rel="stylesheet" type="text/css" href="{{ URL::asset('ablepro/assets/css/style.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ URL::asset('ablepro/assets/css/widget.css') }}">
    <!-- themify-icons line icon -->
    <link rel="stylesheet" type="text/css" href="{{ URL::asset('ablepro/assets/icon/themify-icons/themify-icons.css') }}">
    <!-- ico font -->
    <link rel="stylesheet" type="text/css" href="{{ URL::asset('ablepro/assets/icon/icofont/css/icofont.css') }}">
    <!-- Font Awesome -->
    <link rel="stylesheet" type="text/css" href="{{ URL::asset('ablepro/assets/icon/font-awesome/css/font-awesome.min.css') }}">
    <!-- nestable css -->

    @yield('css')
</head>

<body class="page-header-fixed"@yield('body')>

resources/views/admin/partials/javascripts.blade.php
<script type="text/javascript" src="{{ URL::asset('ablepro/bower_components/jquery/js/jquery.min.js') }}"></script>
<script type="text/javascript" src="{{ URL::asset('ablepro/bower_components/jquery-ui/js/jquery-ui.min.js') }}"></script>
<script type="text/javascript" src="{{ URL::asset('ablepro/bower_components/popper.js/js/popper.min.js') }}"></script>
<script type="text/javascript" src="{{ URL::asset('ablepro/bower_components/bootstrap/js/bootstrap.min.js') }}"></script>
<!-- waves js -->
<script src="{{ URL::asset('ablepro/assets/pages/waves/js/waves.min.js') }}"></script>
<!-- jquery slimscroll js -->
<script type="text/javascript" src="{{ URL::asset('ablepro/bower_components/jquery-slimscroll/js/jquery.slimscroll.js') }}"></script>

<!-- modernizr js -->
<script type="text/javascript" src="{{ URL::asset('ablepro/bower_components/modernizr/js/modernizr.js') }}"></script>
{{--<script type="text/javascript" src="{{ URL::asset('ablepro/bower_components/modernizr/js/css-scrollbars.js') }}"></script>--}}

<!-- Custom js -->
<script src="{{ URL::asset('ablepro/assets/js/pcoded.min.js') }}"></script>
{{--<script src="{{ URL::asset('ablepro/assets/js/tinymce/tinymce.min.js') }}"></script>--}}
<script src="{{ URL::asset('ablepro/assets/js/vertical/vertical-layout.min.js') }}"></script>
<script type="text/javascript" src="{{ URL::asset('ablepro/assets/js/script.min.js') }}"></script>
<script type="text/javascript" src="{{ URL::asset('ablepro/assets/js/jquery.mCustomScrollbar.concat.min.js') }}"></script>

@yield('js')



{{-- <script src="//cdn.ckeditor.com/4.5.4/full/ckeditor.js"></script> --}}
{{--<script src="{{ url('quickadmin/js') }}/bootstrap.min.js"></script>--}}
{{--<script src="{{ url('quickadmin/js') }}/main.js"></script>--}}

{{--<script>--}}

    {{--$('.datepicker').datepicker({--}}
        {{--autoclose: true,--}}
        {{--dateFormat: "{{ config('quickadmin.date_format_jquery') }}"--}}
    {{--});--}}

    {{--$('.datetimepicker').datetimepicker({--}}
        {{--autoclose: true,--}}
        {{--dateFormat: "{{ config('quickadmin.date_format_jquery') }}",--}}
        {{--timeFormat: "{{ config('quickadmin.time_format_jquery') }}"--}}
    {{--});--}}

    {{--$('#datatable').dataTable( {--}}
        {{--"language": {--}}
            {{--"url": "{{ trans('quickadmin::strings.datatable_url_language') }}"--}}
        {{--}--}}
    {{--});--}}

{{--</script>--}}
{{-- <script>
			$(document).ready(function() {
				CKEDITOR.replaceClass = 'my-editor';
			});
		</script> --}}
{{-- <script src="//cdn.tinymce.com/4/tinymce.min.js"></script> --}}
<script src="{{ URL::asset('js/tinymce/tinymce.min.js') }}"></script>

<script>
    var editor_config = {
        path_absolute : "/",
        selector: "textarea.my-editor",
        plugins: [
            "advlist autolink lists link image charmap print preview hr anchor pagebreak",
            "searchreplace wordcount visualblocks visualchars code fullscreen",
            "insertdatetime media nonbreaking save table contextmenu directionality",
            "emoticons template paste textcolor colorpicker textpattern"
        ],
        toolbar: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image media",
        relative_urls: false,
        file_browser_callback : function(field_name, url, type, win) {
            var x = window.innerWidth || document.documentElement.clientWidth || document.getElementsByTagName('body')[0].clientWidth;
            var y = window.innerHeight|| document.documentElement.clientHeight|| document.getElementsByTagName('body')[0].clientHeight;

            var cmsURL = editor_config.path_absolute + 'laravel-filemanager?field_name=' + field_name;
            if (type == 'image') {
                cmsURL = cmsURL + "&type=Images";
            } else {
                cmsURL = cmsURL + "&type=Files";
            }

            tinyMCE.activeEditor.windowManager.open({
                file : cmsURL,
                title : 'Filemanager',
                width : x * 0.8,
                height : y * 0.8,
                resizable : "yes",
                close_previous : "no"
            });
        }
    };

    tinymce.init(editor_config);
</script>

resources/views/admin/partials/sidebar.blade.php
<nav class="pcoded-navbar">
    <div class="pcoded-inner-navbar main-menu">
        <div class="">

        </div>
        <div class="pcoded-navigation-label">Navigation</div>
        <ul class="pcoded-item pcoded-left-item">

            <li class="pcoded-hasmenu">
                <a class="waves-effect waves-dark">
                    <i class="fa"></i>
                    <i class="fa"></i>
                    <span class="title">Kontent Harian</span>
                    <span class="fa arrow"></span>
                </a>
                <ul class="pcoded-submenu">

                    <li class="active active-sub">
                        <a href="{{ route('content.artikel.index') }}" class="waves-effect waves-dark">
                            <i class="fa "></i>
                            <span class="title">
                                Artikel
                            </span>
                        </a>
                    </li>

                </ul>
                <ul class="pcoded-submenu">

                    <li class="active active-sub">
                        <a href="{{ route('content.doaharian.index') }}" class="waves-effect waves-dark">
                            <i class="fa "></i>
                            <span class="title">
                                Doa Harian
                            </span>
                        </a>
                    </li>

                </ul>
                <ul class="pcoded-submenu">
                    <li class="active active-sub">
                        <a href="{{ route('content.hadits.index') }}" class="waves-effect waves-dark">
                            <i class="fa "></i>
                            <span class="title">
                                Hadits Harian
                            </span>
                        </a>
                    </li>
                </ul>
                <ul class="pcoded-submenu">
                    <li class="active active-sub">
                        <a href="{{ route('content.event.index') }}" class="waves-effect waves-dark">
                            <i class="fa "></i>
                            <span class="title">
                                Event
                            </span>
                        </a>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</nav>

resources/views/admin/partials/topbar.blade.php
<!-- [ Header ] start -->
<nav class="navbar header-navbar pcoded-header">
    <div class="navbar-wrapper">
        <div class="navbar-logo">
            <a class="mobile-menu waves-effect waves-light" id="mobile-collapse" href="#!">
                <i class="feather icon-toggle-right"></i>
            </a>
            <a href="/admin">
                <img class="img-fluid" width="25px" src="{{ asset('logo_ustad/Logo-Halo-Ustadz.png') }}" alt="Theme-Logo" />
            </a>
            <a class="mobile-options waves-effect waves-light">
                <i class="feather icon-more-horizontal"></i>
            </a>
        </div>
        <div class="navbar-container container-fluid">
            <ul class="nav-left">
                <li class="header-search">
                    <div class="main-search morphsearch-search">
                        <div class="input-group">
                                        <span class="input-group-prepend search-close">
										<i class="feather icon-x input-group-text"></i>
									</span>
                            <input type="text" class="form-control" placeholder="Enter Keyword">
                            <span class="input-group-append search-btn">
										<i class="feather icon-search input-group-text"></i>
									</span>
                        </div>
                    </div>
                </li>
                <li>
                    <a href="#!" onclick="javascript:toggleFullScreen()" class="waves-effect waves-light">
                        <i class="full-screen feather icon-maximize"></i>
                    </a>
                </li>
            </ul>
            <ul class="nav-right">

                <li class="user-profile header-notification">
                    <div class="dropdown-primary dropdown">
                        <div class="dropdown-toggle" data-toggle="dropdown">
                            <span>{{ Auth::user()->name }}</span>
                            <i class="feather icon-chevron-down"></i>
                        </div>
                        <ul class="show-notification profile-notification dropdown-menu" data-dropdown-in="fadeIn" data-dropdown-out="fadeOut">
                            <li>
                                <a href="#!">
                                    <i class="feather icon-settings"></i> Settings
                                </a>
                            </li>
                            <li>
                                <a href="user-profile.html">
                                    <i class="feather icon-user"></i> Profile
                                </a>
                            </li>
                            <li>
                                <a href="email-inbox.html">
                                    <i class="feather icon-mail"></i> My Messages
                                </a>
                            </li>
                            <li>
                                <a href="auth-lock-screen.html">
                                    <i class="feather icon-lock"></i> Lock Screen
                                </a>
                            </li>

                            <li>
                                <a href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                    <i class="fa fa-sign-out fa-fw"></i> {{ __('Logout') }}
                                </a>

                                <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                    @csrf
                                </form>
                            </li>
                        </ul>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</nav>
<!-- [ Header ] end -->